using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace Rainbow.Models
{
    public class Registrar : IAuditInfo
    {
        public Registrar()
        {
            Domains = new List<Domain>();
        }

        [Key]
        public int Id { get; set; }

        [Required]
        public string Name { get; set; }

        [Required, Display(Name = "Erstellt")]
        public DateTime Created { get; set; }

        [Display(Name = "Erstellt von")]
        public string CreatedBy { get; set; }

        [Required, Display(Name = "Geändert")]
        public DateTime LastModified { get; set; }

        [Display(Name = "Geändert von")]
        public string LastModifiedBy { get; set; }

        public virtual ICollection<Domain> Domains { get; set; }
    }
}